
import 'wl_base_help_platform_interface.dart';

class WlBaseHelp {
  Future<String?> getPlatformVersion() {
    return WlBaseHelpPlatform.instance.getPlatformVersion();
  }

  Future<String?> runAsAdministrator() {
    return WlBaseHelpPlatform.instance.runAsAdministrator();
  }

  Future<bool?> isRunningAsAdmin() {
    return WlBaseHelpPlatform.instance.isRunningAsAdmin();
  }

  Future<void> showConsole() async {
    await WlBaseHelpPlatform.instance.showConsole();
  }

  Future<void> hideConsole() async {
    await  WlBaseHelpPlatform.instance.hideConsole();
  }

  Future<bool?> isProcessRunning(String processName){
    return WlBaseHelpPlatform.instance.isProcessRunning(processName);
  }

  Future<void> killProcess(String processName)  async {
    await  WlBaseHelpPlatform.instance.killProcess(processName);
  }
}
